Summary: This is linux-ftpd 0.17 for Linux, a port of the OpenBSD ftp daemon.
Name: linux-ftpd
Version: 0.17
Release: 2
Copyright: from freebsd
Packager: Stephen White <swhite@ox.compsoc.net>
Group: System Environment/Daemons
Source0: http://ftp.debian.org/debian/dists/unstable/main/source/net/linux-ftpd_0.17.orig.tar.gz
Patch0: linux-ftpd_0.17-1.diff
Patch1: linux-ftpd_0.17-2.diff

%define VER 0.17
Buildroot: /var/tmp/linux-ftpd

%description

This is linux-ftpd 0.17 for Linux, a port of the OpenBSD ftp daemon.

%prep 
%setup -n linux-ftpd-%{VER}
%patch0 -p1 -b .orig
%patch1 -p1 -b .orig

%build
export CFLAGS="-DUSE_PAM $RPM_OPT_FLAGS"
./configure --prefix="$RPM_BUILD_ROOT/usr"
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir "$RPM_BUILD_ROOT"
mkdir "$RPM_BUILD_ROOT/etc"
mkdir "$RPM_BUILD_ROOT/etc/pam.d"
mkdir "$RPM_BUILD_ROOT/usr"
mkdir "$RPM_BUILD_ROOT/usr/sbin"
mkdir "$RPM_BUILD_ROOT/usr/man"
mkdir "$RPM_BUILD_ROOT/usr/man/man5"
mkdir "$RPM_BUILD_ROOT/usr/man/man8"
install -m644 $RPM_BUILD_DIR/linux-ftpd-%{VER}/debian/ftpchroot.5 $RPM_BUILD_ROOT/usr/man/man5
install -m644 $RPM_BUILD_DIR/linux-ftpd-%{VER}/debian/pam.d/ftp $RPM_BUILD_ROOT/etc/pam.d
make install

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo 'ftp      stream  tcp     nowait  root    /usr/sbin/tcpd    in.ftpd -l' >> /etc/inetd.conf
killall -HUP inetd

%postun
    # Remove FTPD entry from /etc/inetd.conf
    tmpfile=/tmp/ftpd-inetd.$$
    sed -e '/^.*in\.ftpd.*$/d' /etc/inetd.conf > $tmpfile
    mv $tmpfile /etc/inetd.conf
    killall -HUP inetd || :

%files
%defattr(-,root,root)
%doc README debian/README.Debian
%doc ftpchroot debian/ftpchroot
%doc ftpusers debian/ftpusers
/usr/sbin/in.ftpd
/usr/man/man5/ftpusers.5
/usr/man/man5/ftpchroot.5
/usr/man/man8/in.ftpd.8
/usr/man/man8/ftpd.8
/etc/pam.d/ftp

%changelog
* Fri Aug 14 2000 Stephen White <swhite@ox.comspoc.net>
- created RPM based on debian package, and an extra patch
  to make it build correctly against the pam library.
